// Use encrypteddatabase if the module is included, else use sql.
// try {
//    require('appcelerator.encrypteddatabase');
//     var dbType = "enc.db";
// } catch(e) {
//     var dbType = "sql";
// }

exports.definition = {
	config: {
		columns: {
		    "SectionID": "int",
		    "ApplicationID": "string",
		    "ItemName": "string",
		    "ItemDesc": "string",
		    "Keywords": "string",
		    "ParentItemID": "string",
		    "InstructionalText": "string",
		    "URL": "string",
		    "isDetail": "boolean"
		},
		adapter: {
			// type: dbType,
			type: "sql",
			collection_name: "ApplicationItems",
			idAttribute:'ApplicationID',
			//db_file: "/AgilentFE.sqlite",
			// db_name: "AgilentFE." + dbType,
			db_name: "AgilentFE.sql",
			remoteBackup:false
		}
	},
	extendModel: function(Model) {
		_.extend(Model.prototype, {
			// extended functions and properties go here
		});

		return Model;
	},
	extendCollection: function(Collection) {
		_.extend(Collection.prototype, {
			// extended functions and properties go here
		});

		return Collection;
	}
};