
function tableNameForSectionType(sectionType) {
	var tableName = TABLE_NAME_APPLICATION_ITEMS;

	if (sectionType == SECTION_TYPE.PRODUCTS) {
		tableName = TABLE_NAME_PRODUCT_ITEMS;
	} else if (sectionType == SECTION_TYPE.CAMPAIGNS) {
		tableName = TABLE_NAME_CAMPAIGN_ITEMS;
	}
	return tableName;
}

function getSearchData(searchCriteria, sectionType, model) {

	var tableName = sectionType;
	
	var query = 'SELECT * FROM ' + tableName + ' WHERE Keywords LIKE \'%' + searchCriteria + '%\'';
	if (OS_ANDROID) {
		query = 'SELECT * FROM ' + tableName + ' WHERE Keywords LIKE \'%' + searchCriteria + '%\'';
	}

	if (searchCriteria.length == 0) {
		query = 'SELECT * FROM ' + tableName;
		if (OS_ANDROID) {
			query = 'SELECT * FROM ' + tableName;
		}
	}
	//query += ' ORDER BY ItemName';
	model.fetch({
		query : query,
		success : function(e) {
            Ti.API.info('Fetch done'+JSON.stringify(e));
            //filtering();
	    },
	    error : function(e){
	        Ti.API.err(e);
	        alert((e && e.message) || e);
	    }
	});
	
	Ti.API.info('Length '+model.length);
	return model.length;
}